package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItempoolActivityQueryRequest struct {
	/*
	   请求体     */
	Param0 *domain.AlibabaRetailMarketingItempoolActivityQueryItemPoolActivityQueryRequest `json:"param0" required:"true" `
}

func (s *AlibabaRetailMarketingItempoolActivityQueryRequest) SetParam0(v domain.AlibabaRetailMarketingItempoolActivityQueryItemPoolActivityQueryRequest) *AlibabaRetailMarketingItempoolActivityQueryRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaRetailMarketingItempoolActivityQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItempoolActivityQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
